Bug 1288456 - Review Request: python-recommonmark - docutils-compatibility bridge to CommonMark
Review Request: python-recommonmark - docutils-compatibility bridge to Common...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
:
Depends On: 1288453
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-04 05:00 EST by Julien Enselme
Modified: 2016-02-03 16:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-03 15:51:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pahan: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Julien Enselme 2015-12-04 05:00:25 EST
Spec URL: http://dl.jujens.eu/SPECS/python-recommonmark.spec
SRPM URL: http://dl.jujens.eu/SRPMS/python-recommonmark-0.2.0-1.src.rpm
Description:
A docutils-compatibility bridge to CommonMark

This allows you to write CommonMark inside of Docutils & Sphinx projects.

Documentation is available on Read the Docs: http://recommonmark.readthedocs.org

Fedora Account System Username: jujens
Comment 1 Sundeep Anand 2015-12-31 06:42:15 EST
This is un-official review of the package.
==========================================

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Dist tag is present.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated".
[-]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-recommonmark , python3-recommonmark
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-recommonmark-0.2.0-1.noarch.rpm
          python3-recommonmark-0.2.0-1.noarch.rpm
          python-recommonmark-0.2.0-1.src.rpm
python2-recommonmark.noarch: W: spelling-error Summary(en_US) docutils -> locutions
python2-recommonmark.noarch: W: summary-not-capitalized C docutils-compatibility bridge to CommonMark
python2-recommonmark.noarch: W: spelling-error %description -l en_US docutils -> locutions
python3-recommonmark.noarch: W: spelling-error Summary(en_US) docutils -> locutions
python3-recommonmark.noarch: W: summary-not-capitalized C docutils-compatibility bridge to CommonMark
python3-recommonmark.noarch: W: spelling-error %description -l en_US docutils -> locutions
python3-recommonmark.noarch: W: no-manual-page-for-binary cm2xetex
python3-recommonmark.noarch: W: no-manual-page-for-binary cm2man
python3-recommonmark.noarch: W: no-manual-page-for-binary cm2html
python3-recommonmark.noarch: W: no-manual-page-for-binary cm2latex
python3-recommonmark.noarch: W: no-manual-page-for-binary cm2xml
python3-recommonmark.noarch: W: no-manual-page-for-binary cm2pseudoxml
python-recommonmark.src: W: spelling-error Summary(en_US) docutils -> locutions
python-recommonmark.src: W: summary-not-capitalized C docutils-compatibility bridge to CommonMark
python-recommonmark.src: W: spelling-error %description -l en_US docutils -> locutions
3 packages and 0 specfiles checked; 0 errors, 15 warnings.




Rpmlint (installed packages)
----------------------------
python3-recommonmark.noarch: W: spelling-error Summary(en_US) docutils -> locutions
python3-recommonmark.noarch: W: summary-not-capitalized C docutils-compatibility bridge to CommonMark
python3-recommonmark.noarch: W: spelling-error %description -l en_US docutils -> locutions
python3-recommonmark.noarch: W: no-manual-page-for-binary cm2man
python3-recommonmark.noarch: W: no-manual-page-for-binary cm2latex
python3-recommonmark.noarch: W: no-manual-page-for-binary cm2xetex
python3-recommonmark.noarch: W: no-manual-page-for-binary cm2html
python3-recommonmark.noarch: W: no-manual-page-for-binary cm2xml
python3-recommonmark.noarch: W: no-manual-page-for-binary cm2pseudoxml
python2-recommonmark.noarch: W: spelling-error Summary(en_US) docutils -> locutions
python2-recommonmark.noarch: W: summary-not-capitalized C docutils-compatibility bridge to CommonMark
python2-recommonmark.noarch: W: spelling-error %description -l en_US docutils -> locutions
2 packages and 0 specfiles checked; 0 errors, 12 warnings.



Requires
--------
python3-recommonmark (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python3-CommonMark
    python3-docutils

python2-recommonmark (rpmlib, GLIBC filtered):
    python(abi)
    python-docutils
    python2-CommonMark



Provides
--------
python3-recommonmark:
    python3-recommonmark

python2-recommonmark:
    python-recommonmark
    python2-recommonmark



Source checksums
----------------
https://raw.githubusercontent.com/rtfd/recommonmark/master/README.md :
  CHECKSUM(SHA256) this package     : b3db869d0734c4f0f2408f3e9c0d29d02ad81f7e2ac176866cb77c7c1f9d0bd4
  CHECKSUM(SHA256) upstream package : b3db869d0734c4f0f2408f3e9c0d29d02ad81f7e2ac176866cb77c7c1f9d0bd4
https://pypi.python.org/packages/source/r/recommonmark/recommonmark-0.2.0.tar.gz :
  CHECKSUM(SHA256) this package     : 28c0babc79c487280fc5bf5daf1f3f1d734e9e4293ba929a7617524ff6911fd7
  CHECKSUM(SHA256) upstream package : 28c0babc79c487280fc5bf5daf1f3f1d734e9e4293ba929a7617524ff6911fd7
https://raw.githubusercontent.com/rtfd/recommonmark/master/license.md :
  CHECKSUM(SHA256) this package     : e597afeb32a6eeee8818c069e9b47c3f55f9c6d79052b649b3d732cd448e4593
  CHECKSUM(SHA256) upstream package : e597afeb32a6eeee8818c069e9b47c3f55f9c6d79052b649b3d732cd448e4593
Comment 2 Julien Enselme 2015-12-31 06:51:01 EST
Nice catch, thanks. I just updated the spec file:

- SPEC: http://dl.jujens.eu/SPECS/python-recommonmark.spec
- SRPM: http://dl.jujens.eu/SRPMS/python-recommonmark-0.2.0-2.fc23.src.rpm
Comment 3 Pavel Alexeev 2016-01-09 17:00:34 EST
0.4.0 version available. Please update and I will review package.
Comment 5 Upstream Release Monitoring 2016-01-12 17:10:38 EST
hubbitus's scratch build of python-recommonmark-0.4.0-1.fc23.src.rpm for f23 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12520874
Comment 6 Pavel Alexeev 2016-01-12 17:23:23 EST
Why binaries placed ony in python3 package?


Package Review
==============

Legend:
[+] = Pass, [!] = Fail, [x] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[+]: Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
[+]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 8 files have
     unknown license. Detailed output of licensecheck in
     /home/pasha/SOFT/review/python-recommonmark/1288456-python-
     recommonmark/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[+]: Package contains no bundled libraries without FPC exception.
[+]: Changelog in prescribed format.
[+]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[+]: Package consistently uses macros (instead of hard-coded directory names).
[+]: Package is named according to the Package Naming Guidelines.
[+]: Package does not generate any conflict.
[+]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and Provides are present.
[+]: Requires correct, justified where necessary.
[+]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[+]: Package complies to the Packaging Guidelines
[+]: Package successfully compiles and builds into binary rpms on at least one supported primary architecture.
[+]: Package installs properly.
[+]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %license.
[+]: Package requires other packages for directories it uses.
[+]: Package must own all directories that it creates.
[+]: Package does not own files or directories owned by other packages.
[+]: All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
[+]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[+]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the beginning of %install.
[+]: Macros in Summary, %description expandable at SRPM build time.
[+]: Dist tag is present.
[+]: Package does not contain duplicates in %files.
[+]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't work.
[+]: Package is named using only allowed ASCII characters.
[+]: Package does not use a name that already exists.
[+]: Package is not relocatable.
[+]: Sources used to build the package match the upstream source, as provided in the spec URL.
[+]: Spec file name must match the spec package %{name}, in the format %{name}.spec.
[+]: File names are valid UTF-8.
[+]: Packages must not store files under /srv, /opt or /usr/local

Python:
[+]: Python eggs must not download any dependencies during the build process.
[+]: A package which is used by another package via an egg interface should provide egg info.
[+]: Package meets the Packaging Guidelines::Python
[!]: Package contains BR: python2-devel or python3-devel
You must require both: https://fedoraproject.org/wiki/Packaging:Python#BuildRequires
[+]: Binary eggs must be removed in %prep


===== SHOULD items =====

Generic:
[+]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[+]: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]: Final provides and requires are sane (see attachments).
[+]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[+]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
[+]: Package should compile and build into binary rpms on all supported architectures.
[!]: %check is present and all tests pass.
Please include %check
[x]: Packages should try to preserve timestamps of original installed files.
[+]: Sources can be downloaded from URI in Source: tag
[+]: Reviewer should test that the package builds in mock.
[+]: Buildroot is not present
[+]: Package has no %clean section with rm -rf %{buildroot} (or $RPM_BUILD_ROOT)
[+]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[+]: SourceX is a working URL.
[+]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
Comment 7 Julien Enselme 2016-01-14 04:14:56 EST
> Why binaries placed ony in python3 package?

The python2 and python3 binaries should work the same. According to the guidelines, I may add them in only one package, the python3 one if possible. I can add them for python2 if you wish.

> [!]: Package contains BR: python2-devel or python3-devel
> You must require both

I do: I have the BuildRequires:  python2-devel in the python 2 subpackage and BuildRequires:  python3-devel in the python3 one.
Comment 8 Pavel Alexeev 2016-01-16 12:34:39 EST
(In reply to Julien Enselme from comment #7)
> > Why binaries placed ony in python3 package?
> 
> The python2 and python3 binaries should work the same. According to the
> guidelines, I may add them in only one package, the python3 one if possible.
> I can add them for python2 if you wish.
No. According to https://fedoraproject.org/wiki/Packaging:Python#Executables_in_.2Fusr.2Fbin you indeed may package version built by any version of python untill it provide same functionality.
But it should be placed in python-recommonmark, nor python2-recommonmark nor python3-recommonmark. Please see python-pygments provided as example in guidelines.

> > [!]: Package contains BR: python2-devel or python3-devel
> > You must require both
> 
> I do: I have the BuildRequires:  python2-devel in the python 2 subpackage
> and BuildRequires:  python3-devel in the python3 one.
I'm not sure there, but example list it also in main package: https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
Possible you are right and it may be equal... Is not?
Comment 9 Pavel Alexeev 2016-01-16 12:35:40 EST
You should also include %check section and do not include license separate from upstream.
Comment 10 Julien Enselme 2016-01-16 13:43:18 EST
> Possible you are right and it may be equal... Is not?

As far as I know it is equal. The package wouldn't pull python3-devel in the other case. I just prefer to put every requires in the proper subpackage.

> You should also include %check section

Since there is no test, I don't think it is relevant. I can add an empty one, but during another review, it was pointed out that I shouldn't do that.

> do not include license separate from upstream.

The license comes from the git upstream repository, so in my point of view it comes from upstream. If the license is not included in the tarball I fetch it from github if possible so the package contains a license provided but upstream anyway. I was never told this is a bad practice, nor do I think it is.

> But it should be placed in python-recommonmark, nor python2-recommonmark nor python3-recommonmark.

I don't see where this is mentioned in the guideline. Placing it in the python-recommonmark (ie for now in the python2-recommonmark package, since this package provides python-recommonmark) would require to install the python3-recommonmark package with the python2 one as the executable is built for python3 and so will depends on files from /usr/share/python3.x/site-packages. I don't think this is the best way to do it.
Comment 11 Upstream Release Monitoring 2016-01-16 14:00:07 EST
hubbitus's scratch build of python-recommonmark-0.4.0-1.fc23.src.rpm for f23 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12579137
Comment 12 Upstream Release Monitoring 2016-01-16 14:02:54 EST
hubbitus's scratch build of python-recommonmark-0.4.0-1.fc23.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12579171
Comment 13 Pavel Alexeev 2016-01-16 14:17:47 EST
(In reply to Julien Enselme from comment #10)
> > You should also include %check section
> 
> Since there is no test, I don't think it is relevant.
Why you think so?
According to logs its at least does not fail:
+ /usr/bin/python2 setup.py test
warning: no files found matching 'MANIFEST'
warning: no files found matching '*' under directory 'extras'
warning: no previously-included files matching '.cvsignore' found under directory '*'
warning: no previously-included files matching '*.pyc' found under directory '*'
warning: no previously-included files matching '*~' found under directory '*'  
warning: no previously-included files matching '.DS_Store' found under directory '*'
zip_safe flag not set; analyzing archive contents...
docutils.parsers.rst.directives.misc: module references __file__
docutils.writers.docutils_xml: module references __path__
docutils.writers.html4css1.__init__: module references __file__
docutils.writers.pep_html.__init__: module references __file__
docutils.writers.s5_html.__init__: module references __file__
docutils.writers.latex2e.__init__: module references __file__
docutils.writers.odf_odt.__init__: module references __file__
zip_safe flag not set; analyzing archive contents...

> > do not include license separate from upstream.
> 
> The license comes from the git upstream repository, so in my point of view
> it comes from upstream. If the license is not included in the tarball I
> fetch it from github if possible so the package contains a license provided
> but upstream anyway. I was never told this is a bad practice, nor do I think
> it is.

It included separate from upstream even by separate Source tags.
Alternatively you may use tarball from github (https://fedoraproject.org/wiki/Packaging:SourceURL?rd=Packaging/SourceURL#Commit_Revision) - they are include license.


> > But it should be placed in python-recommonmark, nor python2-recommonmark nor python3-recommonmark.
> 
> I don't see where this is mentioned in the guideline. Placing it in the
> python-recommonmark (ie for now in the python2-recommonmark package, since
> this package provides python-recommonmark) would require to install the
> python3-recommonmark package with the python2 one as the executable is built
> for python3 and so will depends on files from
> /usr/share/python3.x/site-packages. I don't think this is the best way to do
> it.
The main point there place site-part in packages have python number (2 or 3) in name as it require according version of python.

If you have binaries which is work absolutely same on python3 and python2 it have no sence provide it in both packages. So, for any system which may use 2 or 3 python should be installed one package with one binary.
In you case only one got binary.



Additionally not all requirements mentioned and package failed to build: https://kojipkgs.fedoraproject.org//work/tasks/9172/12579172/build.log

No local packages or download links found for docutils>=0.11
Comment 14 Julien Enselme 2016-01-16 17:54:17 EST
> According to logs its at least does not fail:
> + /usr/bin/python2 setup.py test

But according to the logs, it doesn't launch any tests. So I don't see the point of launching it. There are tests in the github repo but not in the tarball from pypi. And since there is not tag nor release on github (https://github.com/rtfd/recommonmark), I cannot take the source from github. For 0.4.0 there isn't even a commit telling me which revision to take. So I think I'm stuck with sources from pypi.


> Additionally not all requirements mentioned and package failed to build

According to the logs, it happened when you tried to launch the tests with setup.py. Your previous build worked and I just tested with fedora-review and encountered no problem.


> It included separate from upstream even by separate Source tags.

Good to know.


- SPEC: http://dl.jujens.eu/SPECS/python-recommonmark.spec
- SRPM: http://dl.jujens.eu/SRPMS/python-recommonmark-0.4.0-2.fc23.src.rpm

* Sat Jan 16 2016 Julien Enselme <jujens@jujens.eu> - 0.4.0-2
- Remove separate source tag for license
- Add binary to python2 subpackage
Comment 15 Pavel Alexeev 2016-01-17 09:43:41 EST
(In reply to Julien Enselme from comment #14)
> > According to logs its at least does not fail:
> > + /usr/bin/python2 setup.py test
> 
> But according to the logs, it doesn't launch any tests.

> According to the logs, it happened when you tried to launch the tests with
> setup.py. Your previous build worked and I just tested with fedora-review
> and encountered no problem.

Does run nothing but require addition dependency? :)

docutil mentioned as dep even in setup.py from pupi tarball.

> And since there is not tag nor release on github (https://github.com/rtfd/recommonmark), I cannot take the source from github. For 0.4.0 there isn't even a commit telling me which revision to take. So I think I'm stuck with sources from pypi.

First is very easy way. You may not search point when such tarball was created, but include current master state following post-release naming scheme: https://fedoraproject.org/wiki/Packaging:NamingGuidelines?rd=Packaging/NamingGuidelines#Post-Release_packages

I have not see sense to do that, but if you want provide exactly 0.4.0 commit it very easy to find for that project as it have small amount of commits:
It is https://github.com/rtfd/recommonmark/commit/7ca5247b342e755ce5294d43b5fef68afd90028e where version was bumped.
Next commit https://github.com/rtfd/recommonmark/commit/06bf23745e83abf1161b369046c6a38f2ee3fa93 in file which is not in pupi tarball at all, and next one absent: https://github.com/rtfd/recommonmark/commit/d0560b1693a3e5641524daab331a1a2f66a76f68

So, 7ca5247b342e755ce5294d43b5fef68afd90028e is what you look for.

Even it include tests and license file.
Comment 16 Julien Enselme 2016-01-17 10:05:12 EST
> Does run nothing but require addition dependency? :)

> docutil mentioned as dep even in setup.py from pupi tarball.

It isn't a build deps in the SPEC so when you try to run the test and it is not there it fails but it is a require so it will get installed with package. ;-)


> So, 7ca5247b342e755ce5294d43b5fef68afd90028e is what you look for.

Thanks for looking that up. Switching to a tarball from github.

SPEC: http://dl.jujens.eu/SPECS/python-recommonmark.spec
SRPM: http://dl.jujens.eu/SRPMS/python-recommonmark-0.4.0-3.git7ca5247.fc23.src.rpm

* Sun Jan 17 2016 Julien Enselme <jujens@jujens.eu> - 0.4.0-3.git7ca5247
- Use tarball from github to have tests and LICENSE
- Add %%check section
Comment 17 Pavel Alexeev 2016-01-17 10:35:55 EST
Now it fails to test because you forgot add python2-CommonMark and python3-CommonMark as BuildRequires:
+ cd recommonmark-7ca5247b342e755ce5294d43b5fef68afd90028e
+ py.test-3.4 .
============================= test session starts ==============================
platform linux -- Python 3.4.2 -- py-1.4.30 -- pytest-2.6.4
collected 0 items / 1 errors
==================================== ERRORS ====================================
_____________________ ERROR collecting tests/test_basic.py _____________________
tests/test_basic.py:5: in <module>
    from recommonmark.parser import CommonMarkParser
recommonmark/parser.py:6: in <module>
    from CommonMark import DocParser, HTMLRenderer
E   ImportError: No module named 'CommonMark'
=========================== 1 error in 0.05 seconds ============================
Comment 18 Upstream Release Monitoring 2016-01-17 12:43:16 EST
jujens's scratch build of python-recommonmark-0.4.0-3.git7ca5247.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12587042
Comment 19 Julien Enselme 2016-01-17 12:44:23 EST
This time it should be good (correction done without a change of revision):

SPEC: http://dl.jujens.eu/SPECS/python-recommonmark.spec
SRPM: http://dl.jujens.eu/SRPMS/python-recommonmark-.4.0-3.git7ca5247.fc23.src.rpm
Comment 20 Pavel Alexeev 2016-01-18 14:25:50 EST
SRPM url incorrect.

It is very bad practice make changes without touch changelog and bump version (release). And until it is not imported in Fedora I look at that now. But please, do not do such in the future.

Why you direct run tests instead of use recommended %{__python2} setup.py test?
It is not stop issue, but I recommend use setup.py. For example it may then be changed upstream and require some parameters, bootstraping, options and so on.


If you provide binaries with version suffixes in both packages python 2 package must contain one without suffix: https://fedoraproject.org/wiki/Packaging:Python#Naming
Comment 21 Julien Enselme 2016-01-18 15:25:41 EST
> SRPM url incorrect.

Sorry about that.

> It is very bad practice make changes without touch changelog and bump version (release). And until it is not imported in Fedora I look at that now. But please, do not do such in the future.

I know it is a bad practice. Since the package is not yet imported, I did it to avoid creating a changelog entry for a silly mistake. I would never have done that on an imported package.


> Why you direct run tests instead of use recommended %{__python2} setup.py test?

In this case (as with some other packages) running %{__python2} setup.py test doesn't discover test because of missing information about tests in the setup.py file. In such cases, I found that using pytest is an easy way out. If it causes problem with the package, I will change it.

> If you provide binaries with version suffixes in both packages python 2 package must contain one without suffix

Indeed.

SPEC: http://dl.jujens.eu/SPECS/python-recommonmark.spec
SRPM: http://dl.jujens.eu/SRPMS/python-recommonmark-0.4.0-4.git7ca5247.fc23.src.rpm
Comment 22 Pavel Alexeev 2016-01-23 14:07:08 EST
Sorry for the delay with answer.

(In reply to Julien Enselme from comment #21)
> In this case (as with some other packages) running %{__python2} setup.py
> test doesn't discover test because of missing information about tests in the
> setup.py file. In such cases, I found that using pytest is an easy way out.
> If it causes problem with the package, I will change it.
Honestly I do not known best practice there. I think main aim to run test archived. So it enough.



All issues addressed. Package APPROVED.
Comment 23 Julien Enselme 2016-01-24 04:21:41 EST
> Sorry for the delay with answer.

No problem.

> All issues addressed. Package APPROVED.

Thanks.
Comment 24 Gwyn Ciesla 2016-01-24 14:00:54 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-recommonmark
Comment 25 Fedora Update System 2016-01-24 15:22:17 EST
python-recommonmark-0.4.0-4.git7ca5247.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3c73fc30e7
Comment 26 Fedora Update System 2016-01-24 15:22:17 EST
python-recommonmark-0.4.0-4.git7ca5247.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2cd03bceee
Comment 27 Fedora Update System 2016-01-25 23:23:42 EST
python-recommonmark-0.4.0-4.git7ca5247.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2cd03bceee
Comment 28 Fedora Update System 2016-01-25 23:28:47 EST
python-recommonmark-0.4.0-4.git7ca5247.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3c73fc30e7
Comment 29 Fedora Update System 2016-02-03 15:51:04 EST
python-recommonmark-0.4.0-4.git7ca5247.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 30 Fedora Update System 2016-02-03 16:51:12 EST
python-recommonmark-0.4.0-4.git7ca5247.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.